%define debug_package %{nil}
%define product_family ROSA Enterprise Linux
%define variant_titlecase Server
%define variant_lowercase server
%define release_name Helium
%define base_release_version 6
%define full_release_version 6.5


# Need this in /etc/yum/vars/releasever for compatibility with repos for RHEL
%define releasever 6Server

Name:           rosa-release
Version:        6%{variant_titlecase}
Release:        5%{?dist}
Epoch:          1
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Requires(post): rpm
Provides:       redhat-release system-release
Source0:        rosa-release-6-5.tar.gz

%description
%{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep
%setup -q -n rosa-release-6-5

%build
echo OK

%install
rm -rf $RPM_BUILD_ROOT

# create /etc
mkdir -p $RPM_BUILD_ROOT/etc

# create /etc/system-release and /etc/rosa-release
echo "%{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > $RPM_BUILD_ROOT/etc/rosa-release
ln -s rosa-release $RPM_BUILD_ROOT/etc/system-release
ln -s rosa-release $RPM_BUILD_ROOT/etc/redhat-release

# write cpe to /etc/system/release-cpe
echo "cpe:/o:rosa:enterprise_linux:6:%{?beta:beta}%{!?beta:GA}%{?variant_lowercase::%{variant_lowercase}}" | tr [A-Z] [a-z] > $RPM_BUILD_ROOT/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
for file in *.repo; do
    install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

# copy GPG keys
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
    install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

# set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%res 6
%%dist .res6
%%res6 1

# rhel compatibility

%%rhel 6
%%el6 1

# obs compatibility

%%rhel_version 600
%%centos_version 600
EOF

# Need this for compatibility with repos for RHEL
mkdir -p $RPM_BUILD_ROOT/etc/yum/vars
echo %{releasever} > $RPM_BUILD_ROOT/etc/yum/vars/releasever

%post
# Import default keys for repos
rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-RELS-base
rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-RELS-extra
rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-RELS-contrib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc EULA EULA.RU GPL autorun-template
%attr(0644,root,root) /etc/rosa-release
%attr(0644,root,root) /etc/yum/vars/releasever
/etc/system-release
/etc/redhat-release
%config %attr(0644,root,root) /etc/system-release-cpe
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
/etc/rpm/macros.dist
%config(noreplace) /etc/yum.repos.d/*

%changelog
